module Fulfillment
  module Resources
    module Products
      extend self

      def find(params={})
        response = Request.new("products", { search: params }).get
        Models::Collection.new(Models::Product, response.body)
      end

      def create_or_update(params={})
        response = Request.new("products", params).post
      end

      def update_all(show_id:, params:)
        response = Request.new("products/#{show_id}", params).patch
      end
    end
  end
end
