module Fulfillment
  module Resources
    module Venues
      extend self

      def search(fulfillment_method, params)
        response = Request.new("venues", fulfillment_method: fulfillment_method, query: params).get
        response.body
      end

      def find(fulfillment_method, id)
        response = Request.new("venues/#{id}", fulfillment_method: fulfillment_method).get
        return if response.body.nil? || response.body.empty?
        response.body
      end
    end
  end
end
