module Fulfillment
  module Models
    class Deliverable < Model
      property :id, coerce: Integer
      property :creator_type
      property :code
      property :image_url
      property :claimed_at, coerce: ->(v) { DateTime.parse(v) rescue v }
      property :provider
      property :product_id, coerce: Integer
    end
  end
end